# Manual run
execute if entity @s[type=player] run tag @a[tag=!spectate] add ready
execute if entity @s[type=player] run tp @a[tag=ready] -37 101 -1 180 0 

# Door stop animation
execute positioned -15 101 1 as @e[tag=aj.door.root,sort=nearest,limit=1] run tag @s add stop_anim

# Resetting
function chop:game/start/reset_game

# Player handling
execute as @a[gamemode=adventure,tag=!ready,tag=!spectate] at @s run function chop:lobby/spectate
gamemode adventure @a
gamemode spectator @a[tag=spectate]
recipe take @a *
effect clear @a
effect give @a saturation 1000000 100 true
gamerule naturalRegeneration false
clear @a
execute as @a[gamemode=adventure] run function chop:game/start/default_items
tag @a remove ready
schedule function chop:game/start/force_into_base 29s
team join player @a[tag=!spectate]
scoreboard objectives setdisplay belowName health
tag @a remove no_blind
tag @a remove in_candle
tag @a remove in_base
tag @a remove win
tag @a remove dead

# Recipes
recipe give @a chop:golden_apple
recipe give @a chop:torch
recipe give @a chop:vision_potion
recipe give @a chop:holy_spirit
recipe give @a chop:neutral_spirit
execute if score safeMode vars matches 0 run recipe give @a chop:evil_spirit
execute if score safeMode vars matches 1 run recipe give @a chop:evil_spirit_safe
recipe give @a chop:revive_totem

# Scores
function chop:game/start/assign_ids
function chop:game/start/setup_objectives
function chop:game/start/setup_bossbars
scoreboard players set inGame vars 1

# Time
function chop:game/start/reset_time

# Spawn starting mobs
function chop:game/spawn/mob/calc_max
function chop:game/spawn/mob/spinner
function chop:game/spawn/mob/light_spirit